Table of Contents

Class: Subversion | eric3/VCS/subversionPackage/subversion.py
--- | ---

Class implementing the version control systems interface to Subversion.

Base Classes |
--- | ---
VersionControl

Methods |
--- | ---

__init__
authData
svnClearAuthInfo
svnCopy
svnDelProp
svnGetReposName
svnListProps
svnListTagBranch
svnMove
svnResolve
svnSetProp
vcsAdd

vcsAddBinary
vcsAddTree
vcsAllRegisteredStates
vcsCheckout
vcsCleanup
vcsCommandLine
vcsCommit
vcsDiff
vcsExists
vcsExistsProcExited
vcsExistsReadyReadStdout
vcsExport

vcsImport
vcsInit
vcsLog
vcsMerge
vcsName
vcsRegisteredState
vcsRemove
vcsRevert
vcsStatus
vcsSwitch
vcsTag
vcsUpdate

| __init__

    __init__ (
            self,
            parent=None,
            name=None,
            )

### Constructor

#### Arguments

parent
  parent widget (QWidget)
name
  name of this object (string or QString)

| authData

    authData ( self )

### Private method to get the users authentication data.

#### Returns

list of strings with the authentication parameters

| svnClearAuthInfo

    svnClearAuthInfo ( self )

Public method used to clear the authentication info.

| svnCopy

    svnCopy (
            self,
            name,
            project,
            )

### Public method used to copy a file/directory.

#### Arguments

name
  file/directory name to be copied (string)
project
  reference to the project object

| svnDelProp

    svnDelProp (
            self,
            name,
            recursive=0,
            )

### Public method used to delete a property of a file/directory.

#### Arguments

name
  file/directory name (string or list of strings)
recursive
  flag indicating a recursive list is requested

| svnGetReposName

    svnGetReposName ( self,  path )

### Public method used to retrieve the URL of the subversion repository path.

#### Arguments

path
  local path to get the svn repository path for (string)

#### Returns

string with the repository path URL

| svnListProps

    svnListProps (
            self,
            name,
            recursive=0,
            )

### Public method used to list the properties of a file/directory.

#### Arguments

name
  file/directory name (string or list of strings)
recursive
  flag indicating a recursive list is requested

| svnListTagBranch

    svnListTagBranch (
            self,
            path,
            tags=1,
            )

### Public method used to list the available tags or branches.

#### Arguments

path
  directory name of the project (string)
tags
  flag indicating listing of branches or tags (0 = branches, 1 = tags)

| svnMove

    svnMove (
            self,
            name,
            project,
            )

### Public method used to move a file/directory.

#### Arguments

name
  file/directory name to be moved (string)
project
  reference to the project object

| svnResolve

    svnResolve ( self,  name )

### Public method used to resolve conflicts of a file/directory.

#### Arguments

name
  file/directory name to be resolved (string)

| svnSetProp

    svnSetProp (
            self,
            name,
            recursive=0,
            )

### Public method used to add a property to a file/directory.

#### Arguments

name
  file/directory name (string or list of strings)
recursive
  flag indicating a recursive list is requested

| vcsAdd

    vcsAdd (
            self,
            name,
            isDir=0,
            )

### Public method used to add a file/directory to the Subversion repository.

#### Arguments

name
  file/directory name to be added (string)
isDir
  flag indicating name is a directory (boolean)

| vcsAddBinary

    vcsAddBinary (
            self,
            name,
            isDir=0,
            )

### Public method used to add a file/directory in binary mode to the Subversion repository.

#### Arguments

name
  file/directory name to be added (string)
isDir
  flag indicating name is a directory (boolean)

| vcsAddTree

    vcsAddTree ( self,  path )

### Public method to add a directory tree rooted at path to the Subversion repository.

#### Arguments

path
  root directory of the tree to be added (string)

| vcsAllRegisteredStates

    vcsAllRegisteredStates (
            self,
            names,
            dname,
            )

### Public method used to get the registered states of a number of files in the vcs.

#### Arguments

names
  dictionary with all filenames to be checked as keys
dname
  directory to check in (string)

#### Returns

the received dictionary completed with a combination of canBeCommited and canBeAdded or None in order to signal an error

| vcsCheckout

    vcsCheckout (
            self,
            vcsDir,
            project,
            projectDir,
            noDialog=0,
            tag=None,
            )

### Public method used to check the project out of the Subversion repository.

#### Arguments

vcsDir
  name of the VCS directory (string)
project
  name of the archive (string)
projectDir
  project directory to create (string)
noDialog
  flag indicating quiet operations
tag
  tag of version to check out (string)

#### Returns

flag indicating an execution without errors (boolean)

| vcsCleanup

    vcsCleanup ( self,  name )

### Public method used to cleanup the working copy.

#### Arguments

name
  directory name to be cleaned up (string)

| vcsCommandLine

    vcsCommandLine ( self,  name )

### Public method used to execute arbitrary subversion commands.

#### Arguments

name
  directory name of the working directory (string)

| vcsCommit

    vcsCommit (
            self,
            name,
            message,
            noDialog=0,
            )

### Public method used to make the change of a file/directory permanent in the Subversion repository.

#### Arguments

name
  file/directory name to be committed (string)
message
  message for this operation (string)
noDialog
  flag indicating quiet operations

#### Returns

flag indicating an execution without errors (boolean)

| vcsDiff

    vcsDiff ( self,  name )

### Public method used to view the difference of a file/directory to the Subversion repository.

#### Arguments

name
  file/directory name to be diffed (string)

| vcsExists

    vcsExists ( self )

### Public method used to test for the presence of the svn executable.

#### Returns

flag indicating the existance (boolean)

| vcsExistsProcExited

    vcsExistsProcExited ( self )

Private slot connected to the processExited signal.

| vcsExistsReadyReadStdout

    vcsExistsReadyReadStdout ( self )

### Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

| vcsExport

    vcsExport (
            self,
            vcsDir,
            project,
            projectDir,
            tag=None,
            )

### Public method used to export a directory from the Subversion repository.

#### Arguments

vcsDir
  name of the VCS directory (string)
project
  name of the archive (string)
projectDir
  project directory to create (string)
tag
  tag of version to check out (string)

#### Returns

flag indicating an execution without errors (boolean)

| vcsImport

    vcsImport (
            self,
            vcsDir,
            message,
            project,
            vendor,
            release,
            projectDir,
            noDialog=0,
            )

### Public method used to import the project into the Subversion repository.

#### Arguments

vcsDir
  name of the VCS directory (string)
message
  message for this operation (string)
project
  name of the archive (string)
vendor
  vendor string (string) (not needed)
release
  release version string (string) (not needed)
projectDir
  project directory (string)
noDialog
  flag indicating quiet operations

#### Returns

flag indicating an execution without errors (boolean)

| vcsInit

    vcsInit (
            self,
            vcsDir,
            noDialog=0,
            )

### Public method used to initialize the subversion repository.

The subversion repository has to be initialized from outside eric3 because the respective command always works locally. Therefore we always return TRUE without doing anything.

#### Arguments

vcsDir
  name of the VCS directory (string)
noDialog
  flag indicating quiet operations (boolean)

#### Returns

always TRUE

| vcsLog

    vcsLog ( self,  name )

### Public method used to view the log of a file/directory from the Subversion repository.

#### Arguments

name
  file/directory name to show the log of (string)

| vcsMerge

    vcsMerge ( self,  name )

### Public method used to merge a URL/revision into the local project.

#### Arguments

name
  file/directory name to be merged (string)

| vcsName

    vcsName ( self )

### Public method returning the name of the vcs.

#### Returns

always `Subversion` (string)

| vcsRegisteredState

    vcsRegisteredState ( self,  name )

### Public method used to get the registered state of a file in the vcs.

#### Arguments

name
  filename to check (string)

#### Returns

a combination of canBeCommited and canBeAdded or 0 in order to signal an error

| vcsRemove

    vcsRemove (
            self,
            name,
            project=0,
            )

### Public method used to remove a file/directory from the Subversion repository.

The default operation is to remove the local copy as well.

#### Arguments

name
  file/directory name to be removed (string)
project
  flag indicating deletion of a project tree (boolean) (not needed)

#### Returns

flag indicating successfull operation (boolean)

| vcsRevert

    vcsRevert ( self,  name )

### Public method used to revert changes made to a file/directory.

#### Arguments

name
  file/directory name to be reverted (string)

| vcsStatus

    vcsStatus ( self,  name )

### Public method used to view the status of a file in the Subversion repository.

#### Arguments

name
  file/directory name to show the status of (string)

| vcsSwitch

    vcsSwitch ( self,  name )

### Public method used to switch a directory to a different tag/branch.

#### Arguments

name
  directory name to be switched (string)

| vcsTag

    vcsTag ( self,  name )

### Public method used to set the tag of a file/directory in the Subversion repository.

#### Arguments

name
  file/directory name to be tagged (string)

| vcsUpdate

    vcsUpdate ( self,  name )

### Public method used to update a file/directory with the Subversion repository.

#### Arguments

name
  file/directory name to be updated (string)

Table of Contents

This document was automatically generated by HappyDoc version 2.1